ServiceType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.ServiceType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class ServiceType

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.server.session.AppdefResourceType
                  org.hyperic.hq.appdef.server.session.ServiceType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, ContainerManagedTimestampTrackable

    public class ServiceType

extends AppdefResourceType

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefResourceType
`description, name, sortName`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`ServiceType()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`AppdefResourceTypeValue` | `getAppdefResourceTypeValue()`
`int` | `getAppdefType()`
`java.util.Collection` | `getApplicationTypes()`
`java.util.Collection` | `getAppServices()`
`int` | `getAuthzType()`
`java.lang.String` | `getPlugin()`
`ServerType` | `getServerType()`
`java.util.Collection` | `getServiceClusters()`
`java.util.Collection` | `getServices()`
`ServiceTypeValue` | `getServiceTypeValue()` Deprecated. use (this) ServiceType object instead
`int` | `hashCode()`
`boolean` | `isIsInternal()`
`void` | `setApplicationTypes(java.util.Collection applications)`
`void` | `setAppServices(java.util.Collection appServices)`
`void` | `setIsInternal(boolean internal)`
`void` | `setPlugin(java.lang.String plugin)`
`void` | `setServerType(ServerType serverType)`
`void` | `setServiceClusters(java.util.Collection serviceClusters)`
`void` | `setServices(java.util.Collection services)`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefResourceType
`compareTo, getDescription, getName, getSortName, setDescription, setName, setSortName`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceType

    public ServiceType()

Method Detail

### getAuthzType

    public int getAuthzType()

  Specified by:
    `getAuthzType` in class `AppdefResourceType`

### getPlugin

    public java.lang.String getPlugin()

### setPlugin

    public void setPlugin(java.lang.String plugin)

### isIsInternal

    public boolean isIsInternal()

### setIsInternal

    public void setIsInternal(boolean internal)

### getServerType

    public ServerType getServerType()

### setServerType

    public void setServerType(ServerType serverType)

### getApplicationTypes

    public java.util.Collection getApplicationTypes()

### setApplicationTypes

    public void setApplicationTypes(java.util.Collection applications)

### getAppServices

    public java.util.Collection getAppServices()

### setAppServices

    public void setAppServices(java.util.Collection appServices)

### getServices

    public java.util.Collection getServices()

### setServices

    public void setServices(java.util.Collection services)

### getServiceClusters

    public java.util.Collection getServiceClusters()

### setServiceClusters

    public void setServiceClusters(java.util.Collection serviceClusters)

### getAppdefType

    public int getAppdefType()

  Specified by:
    `getAppdefType` in class `AppdefResourceType`

### getServiceTypeValue

    public ServiceTypeValue getServiceTypeValue()

  Deprecated. use (this) ServiceType object instead

  legacy EJB DTO pattern

  Returns:

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AppdefBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AppdefBean`

### getAppdefResourceTypeValue

    public AppdefResourceTypeValue getAppdefResourceTypeValue()

  Specified by:
    `getAppdefResourceTypeValue` in class `AppdefResourceType`
  Returns:
    the type value object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.